Bug 1649936 - New 128-bit IEEE long double ABI for IBM 64-bit POWER LE
Summary: New 128-bit IEEE long double ABI for IBM 64-bit POWER LE
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1541613 F34Changes
TreeView+ depends on / blocked
 
Reported: 2018-11-14 20:35 UTC by Ben Cotton
Modified: 2020-08-11 14:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2018-11-14 20:35:35 UTC
This is a tracking bug for Change: New 128-bit IEEE long double ABI for IBM 64-bit POWER LE
For more details, see: https://fedoraproject.org/wiki/Changes/PPC64LE_Float128_Transition

Transition IBM 64-bit POWER LE systems to the new 128-bit IEEE long double ABI.

Comment 1 Julian Sikorski 2018-12-29 00:36:29 UTC
I believe this might solve mame not building on ppc64le.

Comment 2 Ben Cotton 2019-01-03 20:45:46 UTC
Change has been deferred by the owner. Changing Status to NEW to reflect this.

Comment 3 Ben Cotton 2019-02-19 20:30:23 UTC
According to the Fedora 30 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to MODIFIED. If you know your change will not be ready for Fedora 30, you can set the version to rawhide and notify bcotton@fedoraproject.org. For more information about this milestone, see the Changes Policy[2].

[1] https://fedoraproject.org/wiki/Releases/30/Schedule
[2] https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 4 Carlos O'Donell 2019-02-20 07:18:35 UTC
This was withdrawn from F30, and moved to F31.

Comment 5 Ben Cotton 2019-08-13 16:54:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 19:34:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Ben Cotton 2019-08-14 17:56:15 UTC
We have reached the 'Code Complete (testable)' milestone in the Fedora 31 release cycle. If your Change is in a testable state, please set the status to MODIFIED. If this Change will not be ready for Fedora 31, please set the version to rawhide.

The 100% code complete deadline is Tue 2019-08-27.

Comment 8 Carlos O'Donell 2019-08-14 19:03:53 UTC
Moving to rawhide.

Comment 9 Ben Cotton 2020-02-11 15:49:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 10 Ben Cotton 2020-02-28 15:35:04 UTC
I don't see any activity on this for F32. Should I defer to F33 or close it and have you resubmit when ready?

Comment 11 Carlos O'Donell 2020-02-28 18:50:37 UTC
(In reply to Ben Cotton from comment #10)
> I don't see any activity on this for F32. Should I defer to F33 or close it
> and have you resubmit when ready?

We should move to F33. We continue to work with IBM to get this ready.

Comment 12 Carlos O'Donell 2020-05-29 19:44:45 UTC
Updated again and looking for integration into F33.

Comment 13 Carlos O'Donell 2020-06-09 17:01:18 UTC
After discussion with IBM this is moved into F34.

Comment 14 Ben Cotton 2020-06-09 17:32:55 UTC
I see you set the category to ChangePageIncomplete:
https://fedoraproject.org/w/index.php?title=Changes%2FPPC64LE_Float128_Transition&type=revision&diff=577682&oldid=567130

Are you ready for me to announce it for Fedora 34, or are you still working on updating it?

Comment 15 Carlos O'Donell 2020-06-09 18:30:26 UTC
(In reply to Ben Cotton from comment #14)
> I see you set the category to ChangePageIncomplete:
> https://fedoraproject.org/w/index.
> php?title=Changes%2FPPC64LE_Float128_Transition&type=revision&diff=577682&old
> id=567130
> 
> Are you ready for me to announce it for Fedora 34, or are you still working
> on updating it?

Not yet ready to announce for Fedora 34. In the next month we want to sort out some compiler changes. Lets leave it ChangePageIncomplete for now?

Comment 16 Ben Cotton 2020-08-11 13:10:30 UTC
Branching F33 Change Tracker bugs.

Today is the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 17 Carlos O'Donell 2020-08-11 13:23:44 UTC
This was moved out to F34.


Note You need to log in before you can comment on or make changes to this bug.